public inbox for development@lists.ipfire.org
 help / color / mirror / Atom feed
From: Jonatan Schlag <jonatan.schlag@ipfire.org>
To: development@lists.ipfire.org
Subject: [PATCH v2 08/18] test: Add functions test_that_array_is_defined
Date: Sun, 16 Jun 2024 18:02:35 +0200	[thread overview]
Message-ID: <20240616160245.18865-9-jonatan.schlag@ipfire.org> (raw)
In-Reply-To: <20240616160245.18865-1-jonatan.schlag@ipfire.org>

[-- Attachment #1: Type: text/plain, Size: 1429 bytes --]

we need this check in multiple places so it makes sense to move this to
a separate function.

Signed-off-by: Jonatan Schlag <jonatan.schlag(a)ipfire.org>
---
 tests/lib.sh | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

diff --git a/tests/lib.sh b/tests/lib.sh
index 4110ed2d8..32481b6a5 100644
--- a/tests/lib.sh
+++ b/tests/lib.sh
@@ -34,11 +34,8 @@ var_has_value() {
 	[[ "${!1}" == "${2}" ]]
 }
 
-test_value_in_array() {
-	local -n array="${1}"
+test_that_array_is_defined() {
 	local arrayname="${1}"
-	local key="${2}"
-	local value="${3}"
 
 	# `declare -p` print out how the variable with the name $arrayname was declared
 	# If the array was not declared as indexed or associative array we fail. We cannot check for a value in an array if 
@@ -46,7 +43,19 @@ test_value_in_array() {
 	if [[ ! "$(declare  -p "${arrayname}")" =~ "declare -a" && ! "$(declare  -p "${arrayname}")" =~ "declare -A" ]]; then
 		log_test_failed "The array '${1}' does not exists. The variable is not set."
 		return 1
+	else
+		log_test_succeded "The array '${1}' is defined."
+		return 0
 	fi
+}
+
+test_value_in_array() {
+	local -n array="${1}"
+	local arrayname="${1}"
+	local key="${2}"
+	local value="${3}"
+
+	test_that_array_is_defined "${arrayname}"  || return 1
 
 	# If key is not defined we return _
 	# If the key is defined we return nothing
-- 
2.39.2


  parent reply	other threads:[~2024-06-16 16:02 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-06-16 16:02 v2 First patch series for the roadmap item "Get rid of CONFIG_TYPE in the network config" Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 01/18] tests: Add bash lib Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 02/18] tests/lib.sh: Add function test_value_in_array Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 03/18] tests/lib.sh: Add check if variable exists to test_value_in_array Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 04/18] tests/lib.sh: Add logging functions Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 05/18] tests/lib.sh: adjust to pytest logging style Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 06/18] test_value_in_array: Check if the key is defined Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 07/18] tests: Add function to test the ouput of a bash function Jonatan Schlag
2024-06-16 16:02 ` Jonatan Schlag [this message]
2024-06-16 16:02 ` [PATCH v2 09/18] tests: Add functions test_that_array_doesnt_have_key Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 10/18] initscript functions: add readhash Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 11/18] initscript fkt: ignore blank lines in readhash Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 12/18] initscripts fkt: Ignore comments " Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 13/18] initscripts fkt: ignore invalid keys " Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 14/18] initscripts fkt: Check for invalid values " Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 15/18] initscripts fkt: readhash should only parse lines with a = Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 16/18] initscripts fkt: keep readhash compatible with older implementation Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 17/18] initscripts fkt: Fix shebang Jonatan Schlag
2024-06-16 16:02 ` [PATCH v2 18/18] initscripts fkt: Check that readhash returns 1 on a missing file Jonatan Schlag
2024-07-06 17:58 ` v2 First patch series for the roadmap item "Get rid of CONFIG_TYPE in the network config" Jonatan Schlag

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20240616160245.18865-9-jonatan.schlag@ipfire.org \
    --to=jonatan.schlag@ipfire.org \
    --cc=development@lists.ipfire.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox